/*
** FontDisplay_mcc.h
** Copyright  1996-97 Flavio Stanchina
*/

#ifndef FONTDISPLAY_MCC_H
#define FONTDISPLAY_MCC_H

#define MUIC_FontDisplay      "FontDisplay.mcc"
#define MUIC_FontDisplayPrefs "FontDisplay.mcp"
#define FontDisplayObject MUI_NewObject(MUIC_FontDisplay

/* Methods */

#define MUIM_FontDisplay_SetStyle       0xAA121410 /* V14 */
struct  MUIP_FontDisplay_SetStyle       { ULONG MethodID; ULONG state; ULONG style; };

/* Attributes */

#define MUIA_FontDisplay_Font           0xAA121420 /* V14 is. TextFont *          */
#define MUIA_FontDisplay_Name           0xAA121421 /* V14 is. STRPTR              */
#define MUIA_FontDisplay_YSize          0xAA121422 /* V14 isg UWORD   = 8         */
#define MUIA_FontDisplay_Style          0xAA121423 /* V14 isg UBYTE   = FS_NORMAL */
#define MUIA_FontDisplay_Flags          0xAA121424 /* V14 isg UBYTE   = 0         */
#define MUIA_FontDisplay_BgPen          0xAA121425 /* V14 is. UBYTE   = 0         */
#define MUIA_FontDisplay_FgPen          0xAA121426 /* V14 is. UBYTE   = 1         */

#define MUIA_FontDisplay_String         0xAA121430 /* V14 is. STRPTR              */
#define MUIV_FontDisplay_String_Default "The Quick Brown Fox Jumps Over The Lazy Dog, twice."

/* Config */

#define MUICFG_FontDisplay_String       0xAA121401

#endif
