/*
** FontList_mcc.h
** Copyright  1996-97 Flavio Stanchina
*/

#ifndef FONTLIST_MCC_H
#define FONTLIST_MCC_H

#define MUIC_FontList "FontList.mcc"
#define FontListObject MUI_NewObject(MUIC_FontList

/* Methods */

#define MUIM_FontList_Rescan            0xAA121212 /* V18 */
struct  MUIP_FontList_Rescan            { ULONG MethodID; ULONG rescanDisk; };

/* Attributes */

#define MUIA_FontList_FontName          0xAA121220 /* V14 isg STRPTR              */
#if 0
#define MUIA_FontList_FontSizes         0xAA121221 /* V14 ..g UWORD *             */
#endif
#define MUIA_FontList_SizeList          0xAA121222 /* V14 i.. Object *            */
#define MUIA_FontList_Status            0xAA121223 /* V14 ..g LONG                */

#define MUIA_FontList_FixedWidth        0xAA121230 /* V14 is. BOOL    = FALSE     */
#define MUIA_FontList_FilterHook        0xAA121231 /* V14 is. struct Hook *       */
#define MUIA_FontList_FilterHookObj     0xAA121232 /* V14 is. APTR    = NULL      */

#define MUIV_FontList_Status_Invalid    0
#define MUIV_FontList_Status_Reading    1
#define MUIV_FontList_Status_Valid      2

#endif
