/****************************************************************************/
/* HistoryList.mcc (c) Copyright 2004 by Ralph Schmidt                      */
/****************************************************************************/

#ifndef MUI_HistoryList_MCC_H
#define MUI_HistoryList_MCC_H

#ifndef LIBRARIES_MUI_H
#include <libraries/mui.h>
#endif



#define MUIC_HistoryList "HistoryList.mcc"
#define HistoryListObject MUI_NewObject(MUIC_HistoryList

#define	lairebase (TAG_USER | (10047<<16))

/* Attributes */

#define	MUIA_HistoryList_ID		(lairebase + 0x0000 + 0x0) /* GM .s. char*  */
#define	MUIA_HistoryList_Visible	(lairebase + 0x0000 + 0x1) /* GM .s. ULONG  */
#define	MUIA_HistoryList_Entries	(lairebase + 0x0000 + 0x2) /* GM .s. ULONG  */
#define	MUIA_HistoryList_SortMode	(lairebase + 0x0000 + 0x3) /* GM .s. ULONG  */
#define	MUIA_HistoryList_CompareMode	(lairebase + 0x0000 + 0x4) /* GM .s. ULONG  */

/* Methods */

#define MUIM_HistoryList_Add		(lairebase + 0x0000 + 0x80) /* GM */
struct  MUIP_HistoryList_Add		{ ULONG MethodID; char *Path; };
#define MUIM_HistoryList_Compare	(lairebase + 0x0000 + 0x81) /* GM */
struct  MUIP_HistoryList_Compare	{ ULONG MethodID; char *Path1; char *Path2; };


#define MUIV_HistoryList_Sort_Used	0
#define MUIV_HistoryList_Sort_Date	1

#define MUIV_HistoryList_Compare_NoCase	0
#define MUIV_HistoryList_Compare_Case	1

#endif /* MUI_HistoryList_MCC_H */
