#ifndef RAWIMAGE_MCC_H
#define RAWIMAGE_MCC_H

/*
 *  Rawimage.mcc
 *
 *  Copyright  2008 Christian Rosentreter <tokai@binaryriot.org>
 *  All rights reserved.
 */

#include <libraries/iffparse.h> /* for MAKE_ID */

#pragma pack(2)


#define MUIC_Rawimage  "Rawimage.mcc"
#define RawimageObject MUI_NewObject(MUIC_Rawimage


struct MUI_RawimageData
{
	ULONG ri_Width;
	ULONG ri_Height;
	ULONG ri_Format;
	ULONG ri_Size;
	ULONG ri_Data[0];
};

#define RAWIMAGE_FORMAT_RAW_ARGB_ID  0
#define RAWIMAGE_FORMAT_BZ2_ARGB_ID  MAKE_ID('B','Z','2','\0')



/*  attributes
 */
#define MUIA_Rawimage_Data  0xFED10014   /* [IS.]  struct MUI_RawimageData *   v20.1 (06.01.2007)   */



#pragma pack()

#endif /* RAWIMAGE_MCC_H */
