/****************************************************************************/
/* StackList.mcc (c) Copyright 2004 by Ralph Schmidt                        */
/****************************************************************************/

#ifndef MUI_StackList_MCC_H
#define MUI_StackList_MCC_H

#ifndef LIBRARIES_MUI_H
#include <libraries/mui.h>
#endif



#define MUIC_StackList "StackList.mcc"
#define StackListObject MUI_NewObject(MUIC_StackList

#define	lairebase (TAG_USER | (10047<<16))

/* Attributes */

#define	MUIA_StackList_MaxEntries	(lairebase + 0x0100 + 0x0) /* GM .s. ULONG  */
#define	MUIA_StackList_DupeCheck	(lairebase + 0x0100 + 0x1) /* GM .s. ULONG  */

/* Methods */

#define MUIM_StackList_Push		(lairebase + 0x0100 + 0x80) /* GM */
struct  MUIP_StackList_Push		{ ULONG MethodID; APTR entry; };
#define MUIM_StackList_Pop		(lairebase + 0x0100 + 0x81) /* GM */
struct  MUIP_StackList_Pop		{ ULONG MethodID; };
#define MUIM_StackList_PopN		(lairebase + 0x0100 + 0x82) /* GM */
struct  MUIP_StackList_PopN		{ ULONG MethodID; ULONG entries; };


#endif /* MUI_StackList_MCC_H */
