#ifndef BUSY_MCC_H
#define BUSY_MCC_H

/*
 *  Busy.mcc include
 *
 *  Copyright  2008 MorphOS Development Team
 *  All rights reserved.
 */

#ifndef LIBRARIES_MUI_H
#include <libraries/mui.h>
#endif

#pragma pack(2)



#define MUIC_Busy  "Busy.mcc"
#define BusyObject MUI_NewObject(MUIC_Busy

#define BusyBar \
	BusyObject,                                \
		MUIA_Busy_Speed, MUIV_Busy_Speed_User, \
	End



/*   methods
 */
#define MUIM_Busy_Move 0x80020001



/*   messages
 */
struct MUIP_Busy_Move 
{
	ULONG MethodID;
};



/*   attributes
 */
#define MUIA_Busy_ShowHideIH 0x800200a9
#define MUIA_Busy_Speed      0x80020049



/*   special values
 */
#define MUIV_Busy_Speed_Off   0
#define MUIV_Busy_Speed_User  (-1)



#pragma pack()

#endif /* ABOUTBOX_MCC_H */
